StoryPepewe/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import include
from live_coding.views import tampil

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story_app.urls')),
    path('', include('story_app_6.urls')),
    path('', include('story_app_7.urls')),
    path('', include('story_app_8.urls')),
    path('', include('story_app_9.urls')),
    path('test/', tampil)
]

story_app/urls.py
from django.urls import path
from .views import home, cv, demo, aboutme, form, display, detail, delete_view

urlpatterns = [
    path('home/', home, name='home'),
    path('cv/', cv, name='cv'),
    path('about-me/', aboutme, name='about-me'),
    path('demo/', demo, name='demo'),
    path('forms/', form, name='form'),
    path('display/', display, name='display'),
    path('display/<int:my_id>/', detail, name='detail'),
    path('display/<int:my_id>/delete', delete_view, name='delete')
]

story_app_9/urls.py
from django.urls import path
from django.contrib.auth import views as auth
from .views import register

app_name ='story_app_9'
urlpatterns = [
    path('', auth.LoginView.as_view(template_name='login.html'), name='login'),
    path('logout/', auth.LogoutView.as_view(template_name='logout.html'), name='logout'),
    path('register/', register, name='register')
]

story_app/models.py
from django.db import models

# Create your models here.
class MataKuliah(models.Model):
    mata_kuliah = models.CharField(max_length = 100)
    dosen = models.CharField(max_length = 100)
    jumlah_sks = models.PositiveSmallIntegerField()
    semester = models.PositiveSmallIntegerField()
    kelas = models.CharField(max_length = 100)
    description = models.TextField()

    def __str__(self): 
        return self.mata_kuliah

story_app/forms.py
from django import forms
from .models import MataKuliah

class ProductForm(forms.ModelForm):
    class Meta:
        model = MataKuliah
        fields = [
            'mata_kuliah',
            'dosen',
            'jumlah_sks',
            'semester',
            'kelas',
            'description'
        ]
    

story_app/views.py
from django.shortcuts import render, redirect
import random
from .models import MataKuliah
from .forms import ProductForm

# Create your views here.
def home(request):
    return render(request, 'home.html')
def cv(request):
    return render(request, 'cv.html')
def aboutme(request):
    return render(request, 'about_me.html')
def demo(request):
    isEvenNumberFound = False
    while (not isEvenNumberFound):
        random_number = random.randint(0, 101)
        if (random_number % 2 == 0):
            isEvenNumberFound = True
    
    context = {
        'random_number_value' : random_number,
    }

    return render(request, 'number.html', context)

def form(request):
    form = ProductForm(request.POST or None)
    if form.is_valid() and request.method == 'POST':
        form.save()
        return redirect('display')

    context = {
       'form' : form
    }
    return render(request, 'forms.html', context)

def display(request):
    obj  = MataKuliah.objects.all()
    context = {
        'object' : obj
    }
    return render(request, 'data_display.html', context)

def detail(request, my_id):
    obj = MataKuliah.objects.get(id=my_id)
    context = {
        'object':obj
    }
    return render(request, "details.html", context)

def delete_view(request, my_id): 
    obj = MataKuliah.objects.get(id=my_id)
    obj.delete()  
    return redirect ('display') 

story_app/templates/about_me.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
    <br>
    <div class="ab">About me</div>
    <br>
    <div class="photo">
        <img src="{% static 'img/AU38.png' %}">
    </div>
    <div class="row">
        <div class="column1">Nama</div>
        <div class="column">Pedro Wiriya</div>
    </div>
    <div class="row">
        <div class="column1">NPM</div>
        <div class="column">1906353510</div>
    </div>
    <div class="row">
        <div class="column1">Kuliah</div>
        <div class="column">Universitas Indonesia</div>
    </div>
    <div class="row">
        <div class="column1">Jurusan</div>
        <div class="column">Sistem Informasi</div>
    </div>
    <div class="row">
        <div class="column1">Angkatan</div>
        <div class="column">2019</div>
    </div>
    <div class="row">
        <div class="column1">Hobby</div>
        <div class="column">Bermain game, menonton anime, liat memes</div>
    </div>
    <div class="row">
        <div class="column2">Deskripsi Tentang Saya</div>
    </div>
    <div class="row">
        <div class="column3">Hi! Perkenalkan nama saya Pedro. Saat ini saya sedang menjalankan mata kuliah Perancangan dan Pemrograman Web. Fun Fact saya adalah saya terkadang berkata random spontan yang terkadang lucu</div>
    </div>
    <div class="row">
        <div class="column2">Riwayat Pendidikan</div>
    </div>
    <div class="row">
        <div class="column3">
            <ul>
                <li>Universitas Indonesia (2019 - sekarang)</li>
                <li>SMA Strada St. Thomas Aquino (2016-2019)</li>
                <li>SMP Strada St. Maria 1 (2013-2016)</li>
                <li>SD Citra Kasih (2007-2013)</li>
            </ul>
        </div>
    </div>
{% endblock  %}

story_app/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Welcome To My Web</title>
</head>
<link href="{% static  'css/style.css' %}" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
{% block css %}
{% endblock  %}
<body>
    <ul class="topnav">
        <li><a href="{% url 'home' %}">Home</a></li>
        <li><a href="{% url 'about-me' %}">About Me</a></li>
        <li><a href="{% url 'display' %}">Mata Kuliah</a></li>
        <li><a href="{% url 'activities-display' %}">Activities</a></li>
        <li><a href="{% url 'accord' %}">Accord.</a></li> 
        <li><a href="{% url 'search' %}">Search</a></li>
        <li><a href="{% url 'story_app_9:logout'  %}">Logout</a></li>
    </ul>

    {% block content %}

    {% endblock %}

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>   
{% block script %}
{% endblock  %}
</body>
</html>

story_app/templates/cv.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
    <br>
    <div class="rowA">
        <div class="ph"><img src="{% static 'img/AU38_crop.png' %}"></div>
        <div class="col" id="top">
            <p>Pedro Wiriya</p>
            <div class="inside" id="first">
                pedro159c35@gmail.com | +6281284409438 | https://www.linkedin.com/in/pedro-wiriya-0487151a2/
            </div>
        </div>
    </div>
    <div class="rowA">
        <div class="col">
            <p>About Me</p>
            <div class="inside" id="txt">
                Hello my name is Pedro. I am a 2nd year Information System Undergraduate in Universitas Indonesia with the current GPA of 3.4.  I am a strong willed individual that is adaptable, easy to work with, and ready to be responsible of all my works. 
                <br><br>
                I am the person who likes to learn about information technology, economics, and management.
                <br><br>
                While in my major,  I spent my time to study business administration, management principles, and a little bit of programming.
                <br><br>
                Outside of my studies, I like to socialize with my friends, do some discussion, and surf the internet.
            </div>
        </div>
        <div class="col">
            <p>Education Background</p>
            <div class="decor"></div>
            <p id="ins">Universitas Indonesia (2019 - 2023)</p>
            <p id="ins">2nd years Information System Undergraduate</p>
            <div class="inside" id="txt">
                Information Systems is a degree where students learn both Information Technology (IT) and Economics as its main study. In IS, I learnt basic coding skills (e.g Python and Java), specifically on the field of backend and frontend development. I also learn the concept of economic, business and management to deal with practical problems that are usually of immediate interest to business and organizations
            </div>
        </div>
        <div class="col">
            <p>Language Proficiency</p>
            <div class="decor"></div>
            <p id="ins">Indonesian Language (Formal Language)</p>
            <div class="inside" id="txt">
                lived in a country that uses the language as its official language and learn the language academicaly for 12 years in total. able to use the language in oral and writing form fluently
            </div>
            <p id="ins">English Language</p>
            <div class="inside" id="txt">
                Learned the language through courses and school’s lesson , I able to use oral and writing skill to communicate informations with foreign native speakers
            </div>
        </div>
        
    </div>
    <div class="rowB">
        <div class="col">
            <p id="ins">Skillsets & Tool</p>
            <div class="decor"></div>
            <div class="inside" id="txt">
            <ul>
                <li>Analytical Thinking</li>
                <li>Collaborative Teamwork</li>
                <li>Problem Solving</li>
                <li>Management</li>
                <li>Programming Logic</li>
                <li>Excel</li>
                <li>Figma</li>
            </ul>
            </div>
        </div>
        <div class="col">
            <p id="ins">Volunteer & Work Experience</p>
            <div class="decor"></div>
            <p id="ins">Secretary at BEM Fasilkom UI</p>
            <p id="ins">February 2020 - February 2021</p>
            <div class="inside" id="txt">
                BEM is an organization under student affairs section that handle several event in the campus. BEM is more like an practical organization rather than judging organization. There are several parts in BEM, such as Information Technology Development, Business and Partners, Community Dedication, Art and Culture, advocacy and student welfare, etc.
            </div>
        </div>
    </div>
{% endblock  %}

story_app/templates/data_display.html
{% extends 'base.html' %}
{% block content %}
<div class="container" style="padding-top: 5%;">
    <a class="btn btn-warning" href="{% url 'form' %}" role="button">ADD Mata Kuliah</a>
</div>
<div class="container" style="padding: 0;"> 
<div class="row" style="padding: 0; align-items: center; margin-right: 0; width : 100%; margin-left : 0;">
{% for i in object %}
<div class="card" style="width: 18rem;">
  <div class="card-body">
    <h5 class="card-title">{{i.mata_kuliah}}</h5>
    <p class="card-text" style="text-align: none;">{{i.description}}</p>
    <a href="{% url 'detail' i.id %}" class="btn btn-primary">View Details</a>
    <a href="{% url 'delete' i.id %}" class="btn btn-danger">Delete</a>
  </div>
</div>
{% endfor %}
</div>
</div>





{% endblock  %}

story_app/templates/details.html
{% extends 'base.html' %}
{% block content %}
<div class="container">
    <br>
    <h3>Detail Mata Kuliah</h3>
    <br>
    <div class="table-responsive">
        <table class="table">
            <tbody>
                <tr>
                  <th scope="row">Mata Kuliah</th>
                  <td>{{object.mata_kuliah}}</td>
                </tr>
                <tr>
                  <th scope="row">Jumlah SKS</th>
                  <td>{{object.jumlah_sks}}</td>  
                </tr>
                <tr>
                  <th scope="row">Semester</th>
                  <td>{{object.semester}}</td>
                </tr>
                <tr>
                    <th scope="row">Dosen Pengajar</th>
                    <td>{{object.dosen}}</td>
                </tr>
                <tr>
                    <th scope="row">Room</th>
                    <td>{{object.kelas}}</td>
                  </tr>
                  <tr>
                      <th scope="row">Description</th>
                      <td>{{object.description}}</td>
                  </tr>
              </tbody>
        </table>
        
      </div>

{% endblock  %}

story_app/templates/forms.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% block content %}
<div class="container" style="padding-top: 2%;">
    <h1 class="col-xl-12 col-lg-12 col-md-12 col-sm-12"> Create new Matkul </h1>
    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 center"></div>
        <form method = "POST" >
            {% csrf_token %}
            
            {{ form|crispy }}
            <input type="submit" value="Save"> 
        </form>
    </div>
</div>


{% endblock %}

story_app/templates/home.html
{% extends 'base.html' %}
{% block content %}
<div class="intro">
        <p>Welcome to my web</p>
        <p>Created by Pedro Wiriya</p>
    </div>
    <br>
    <br>
    <br>
    <div class="content">
        <div class="item"><a href="{% url 'cv' %}">CV</a></div>
        <div class="item">Portofolio</div>
        <div class="item">Honor & Award</div>
    </div>
{% endblock  %}
    

story_app/templates/number.html
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Welcome To My Web</title>
</head>
<body>
   <p> Hello World </p>
   {{ random_number_value }}
</body>
</html>